Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.s9api
Class DOMDestination

    java.lang.Object
      net.sf.saxon.s9api.DOMDestination

All Implemented Interfaces:
  Destination

    public class DOMDestination

extends Object
implements Destination

This class represents a Destination (for example, the destination of the output of a transformation) in which the results are written to a newly constructed DOM tree in memory. The caller must supply a Document node, which will be used as the root of the constructed tree

Constructor Summary
`DOMDestination(Document root)` Create a DOMDestination, supplying the root of a DOM document to which the content of the result tree will be appended.

Method Summary
`void` | `close()` Close the destination, allowing resources to be released.
`Receiver` | `getReceiver(Configuration config)` Return a Receiver.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMDestination

    public DOMDestination(Document root)

  Create a DOMDestination, supplying the root of a DOM document to which the content of the result tree will be appended.

  Parameters:
    `root` - the root node for the new tree.

Method Detail

### getReceiver

    public Receiver getReceiver(Configuration config)
                         throws SaxonApiException

  Return a Receiver. Saxon calls this method to obtain a Receiver, to which it then sends a sequence of events representing the content of an XML document.

  Specified by:
    `getReceiver` in interface `Destination`
  Parameters:
    `config` - The Saxon configuration. This is supplied so that the destination can use information from the configuration (for example, a reference to the name pool) to construct or configure the returned Receiver.
  Returns:
    the Receiver to which events are to be sent.
  Throws:
    `SaxonApiException` - if the Receiver cannot be created

### close

    public void close()
               throws SaxonApiException

  Close the destination, allowing resources to be released. Saxon calls this method when it has finished writing to the destination.

  Specified by:
    `close` in interface `Destination`
  Throws:
    `SaxonApiException` - if any failure occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.